Debian Bug report logs - #682689
buildcross fails to build gcc-4.7

version graph

Package: buildcross; Maintainer for buildcross is Debian Embedded <debian-embedded@lists.debian.org>; Source for buildcross is src:buildcross.

Reported by: sacrificial-spam-address@horizon.com

Date: Tue, 24 Jul 2012 17:33:01 UTC

Severity: normal

Found in version buildcross/0.0.12

Fixed in version 0.0.13

Done: Hector Oron <zumbi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded <debian-embedded@lists.debian.org>:
Bug#682689; Package buildcross. (Tue, 24 Jul 2012 17:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to sacrificial-spam-address@horizon.com:
New Bug report received and forwarded. Copy sent to Debian Embedded <debian-embedded@lists.debian.org>. (Tue, 24 Jul 2012 17:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: sacrificial-spam-address@horizon.com
To: submit@bugs.debian.org
Cc: sacrificial-spam-address@horizon.com
Subject: buildcross fails to build gcc-4.7
Date: 24 Jul 2012 13:22:46 -0400
Package: buildcross
Version: 0.0.12

This is due to line 1095 of /usr/lib/buildcross/functions, which
defines the em_cross function:

case ${1} in
	# (other cases omitted)
        gcc-3.[3-4]|gcc-4.[0-6])
                GCCVER=${1#gcc-}
                myecho INFO "I: Building GCC ${GCCVER}"
                checkinstalled gcc-${GCCVER}
                install-gcc-build-deps ${GCCVER}
                build-gcc ${GCCVER} > $LOGPATH/$HOSTARCH-$DEBARCH-$PKG.log 2>&1
                #install-gcc ${GCCVER}
                ;;

There is no obvious reason why this case couldn't be extended, and in
fact I have successfully built a gcc-4.7 package by doing so.

Another useful addition to this function would be a catch-all error
case, rather than failing silently.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded <debian-embedded@lists.debian.org>:
Bug#682689; Package buildcross. (Sun, 16 Sep 2012 23:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alban Browaeys <prahal@yahoo.com>:
Extra info received and forwarded to list. Copy sent to Debian Embedded <debian-embedded@lists.debian.org>. (Sun, 16 Sep 2012 23:27:03 GMT) Full text and rfc822 format available.

Message #10 received at 682689@bugs.debian.org (full text, mbox):

From: Alban Browaeys <prahal@yahoo.com>
To: Debian Bug Tracking System <682689@bugs.debian.org>
Subject: Re: buildcross fails to build gcc-4.7
Date: Mon, 17 Sep 2012 01:24:30 +0200
[Message part 1 (text/plain, inline)]
Package: buildcross
Followup-For: Bug #682689

Here is a set of patches for sid to let gcc-4.7 build.

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.6.0-rc3test0-00207-g318e151-dirty (SMP w/2 CPU cores)
Locale: LANG=fr_FR.utf8, LC_CTYPE=fr_FR.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages buildcross depends on:
ii  autoconf                          2.69-1
ii  autoconf2.13                      2.13-62
ii  autogen                           1:5.16.2-2
ii  automake1.4                       1:1.4-p6-13.1
ii  automake1.9                       1.9.6+nogfdl-4
ii  bison                             1:2.5.dfsg-2.1
ii  build-essential                   11.5
ii  bzip2                             1.0.6-4
ii  cdbs                              0.4.117
ii  chrpath                           0.13-2
ii  dctrl-tools                       2.22.2
ii  debhelper                         9.20120909
ii  dejagnu                           1.5-3
ii  devscripts                        2.12.3
ii  dh-make                           0.61
ii  dpatch                            2.0.35
ii  dpkg-cross                        2.6.7
ii  fakeroot                          1.18.4-2
ii  flex                              2.5.35-10.1
ii  gawk                              1:4.0.1+dfsg-2
ii  gobjc                             4:4.7.1-1
ii  gperf                             3.0.3-1+b1
ii  libcloog-ppl-dev                  0.15.11-4
ii  libmpfr-dev                       3.1.0-5
ii  libncurses5-dev [libncurses-dev]  5.9-10
ii  libreadline-dev                   6.2-8
ii  libtool                           2.4.2-1.1
ii  liburi-perl                       1.60-1
ii  lsb-release                       4.1+Debian7
ii  patchutils                        0.3.2-1.1
ii  pbuilder                          0.212
ii  quilt                             0.60-2
ii  realpath                          1.17
ii  reprepro                          4.12.4-1
ii  sharutils                         1:4.11.1-1
ii  sudo                              1.8.5p2-1
ii  texinfo                           4.13a.dfsg.1-10
ii  time                              1.7-24
ii  wget                              1.14-1

Versions of packages buildcross recommends:
ii  xapt  2.2.18

buildcross suggests no packages.

-- Configuration Files:
/etc/buildcross.conf changed:
PKGLIST=${PKGLIST:-"gcc-4.7 libs binutils gcc-4.6"}
ARCHLIST=${ARCHLIST:-"armel armhf"}
SRCSUITE=${SRCSUITE:-"unstable"}
SUITE=${SUITE:-"unstable"}
WARNMSG=${WARNMSG:-"no"}
LOCALREPO=${LOCALREPO:-"no"}
VERBOSEMODE=${VERBOSEMODE:-"yes"}
CURDIR=${CURDIR:-"$(pwd)"}
SRCDIR=${SRCDIR:-"$CURDIR/cache/src"}
APTCACHE=${APTCACHE:-"$CURDIR/cache/apt"}
REPOPATH=${REPOPATH:-"$CURDIR/cache/repo"}
BUILDPATH=${BUILDPATH:-"$CURDIR/cache/build"}
CLEANTREE=${CLEANTREE:-"yes"}
CLEANDIRS=${CLEANDIRS:-"yes"}
HOSTARCH=$(dpkg-architecture -qDEB_HOST_ARCH)
DPKGFLAGS="--force-overwrite"
FETCH=${FETCH:-"wget"}
ONLINE=${ONLINE:-"no"}
LOGHTMLPATH=${LOGHTMLPATH:-"$CURDIR"}
LOGPATH="$LOGHTMLPATH/logs/"
LOGHTML="index.html"
MIRROR=${MIRROR:-"http://cdn.debian.net/debian/"}
ROOTCMD=${ROOTCMD:-sudo}
FORCE_REBUILD=${FORCE_REBUILD:-yes}
FORCE_UPGRADE=${FORCE_UPGRADE:-yes}
export DEBIAN_FRONTEND=noninteractive
export DEBIAN_PRIORITY=critical
export DEBCONF_NONINTERACTIVE_SEEN=true
export LANG=C
export LANGUAGE=C
export LC_ALL=C
export LC_PAPER=C
export LC_MONETARY=C


-- no debconf information
[0001-up-automake-dependency-.-1.7-is-no-more-in-debian-test.txt (text/x-diff, attachment)]
[0002-armhf-is-now-hosted-on-debian-per-se-no-debian-ports.txt (text/x-diff, attachment)]
[0003-expand-gcc-to-4.7-was-4.6.txt (text/x-diff, attachment)]
[0004-upgrade-libgmp-dependencies.txt (text/x-diff, attachment)]
[0005-COSMETIC-avoid-error-from-dpkg-when-a-version-is-missi.txt (text/x-diff, attachment)]
[0006-add-gcc-4.7-base-to-the-dependencies-to-strip-from-the.txt (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded <debian-embedded@lists.debian.org>:
Bug#682689; Package buildcross. (Mon, 17 Sep 2012 01:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alban Browaeys <prahal@yahoo.com>:
Extra info received and forwarded to list. Copy sent to Debian Embedded <debian-embedded@lists.debian.org>. (Mon, 17 Sep 2012 01:39:03 GMT) Full text and rfc822 format available.

Message #15 received at 682689@bugs.debian.org (full text, mbox):

From: Alban Browaeys <prahal@yahoo.com>
To: Debian Bug Tracking System <682689@bugs.debian.org>
Subject: Re: buildcross fails to build gcc-4.7
Date: Mon, 17 Sep 2012 03:34:31 +0200
[Message part 1 (text/plain, inline)]
Package: buildcross
Followup-For: Bug #682689

Sorry previous patchset was not tested with default config (ie building
cross libs before gcc-4.7).
Please replace
0006-add-gcc-4.7-base-to-the-dependencies-to-strip-from-the.txt
with the one attached and add
0007-cross-libs-depends-on-gcc-4.7-now.txt
to the serie.

BR,
Alban


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.6.0-rc3test0-00207-g318e151-dirty (SMP w/2 CPU cores)
Locale: LANG=fr_FR.utf8, LC_CTYPE=fr_FR.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages buildcross depends on:
ii  autoconf                          2.69-1
ii  autoconf2.13                      2.13-62
ii  autogen                           1:5.16.2-2
ii  automake1.4                       1:1.4-p6-13.1
ii  automake1.9                       1.9.6+nogfdl-4
ii  bison                             1:2.5.dfsg-2.1
ii  build-essential                   11.5
ii  bzip2                             1.0.6-4
ii  cdbs                              0.4.117
ii  chrpath                           0.13-2
ii  dctrl-tools                       2.22.2
ii  debhelper                         9.20120909
ii  dejagnu                           1.5-3
ii  devscripts                        2.12.3
ii  dh-make                           0.61
ii  dpatch                            2.0.35
ii  dpkg-cross                        2.6.7
ii  fakeroot                          1.18.4-2
ii  flex                              2.5.35-10.1
ii  gawk                              1:4.0.1+dfsg-2
ii  gobjc                             4:4.7.1-1
ii  gperf                             3.0.3-1+b1
ii  libcloog-ppl-dev                  0.15.11-4
ii  libmpfr-dev                       3.1.0-5
ii  libncurses5-dev [libncurses-dev]  5.9-10
ii  libreadline-dev                   6.2-8
ii  libtool                           2.4.2-1.1
ii  liburi-perl                       1.60-1
ii  lsb-release                       4.1+Debian7
ii  patchutils                        0.3.2-1.1
ii  pbuilder                          0.212
ii  quilt                             0.60-2
ii  realpath                          1.17
ii  reprepro                          4.12.4-1
ii  sharutils                         1:4.11.1-1
ii  sudo                              1.8.5p2-1
ii  texinfo                           4.13a.dfsg.1-10
ii  time                              1.7-24
ii  wget                              1.14-1

Versions of packages buildcross recommends:
ii  xapt  2.2.18

buildcross suggests no packages.

-- Configuration Files:
/etc/buildcross.conf changed:
PKGLIST=${PKGLIST:-"libs binutils gcc-4.7 gcc-4.6"}
ARCHLIST=${ARCHLIST:-"armel armhf"}
SRCSUITE=${SRCSUITE:-"unstable"}
SUITE=${SUITE:-"unstable"}
WARNMSG=${WARNMSG:-"no"}
LOCALREPO=${LOCALREPO:-"no"}
VERBOSEMODE=${VERBOSEMODE:-"yes"}
CURDIR=${CURDIR:-"$(pwd)"}
SRCDIR=${SRCDIR:-"$CURDIR/cache/src"}
APTCACHE=${APTCACHE:-"$CURDIR/cache/apt"}
REPOPATH=${REPOPATH:-"$CURDIR/cache/repo"}
BUILDPATH=${BUILDPATH:-"$CURDIR/cache/build"}
CLEANTREE=${CLEANTREE:-"yes"}
CLEANDIRS=${CLEANDIRS:-"yes"}
HOSTARCH=$(dpkg-architecture -qDEB_HOST_ARCH)
DPKGFLAGS="--force-overwrite"
FETCH=${FETCH:-"wget"}
ONLINE=${ONLINE:-"no"}
LOGHTMLPATH=${LOGHTMLPATH:-"$CURDIR"}
LOGPATH="$LOGHTMLPATH/logs/"
LOGHTML="index.html"
MIRROR=${MIRROR:-"http://cdn.debian.net/debian/"}
ROOTCMD=${ROOTCMD:-sudo}
FORCE_REBUILD=${FORCE_REBUILD:-yes}
FORCE_UPGRADE=${FORCE_UPGRADE:-yes}
export DEBIAN_FRONTEND=noninteractive
export DEBIAN_PRIORITY=critical
export DEBCONF_NONINTERACTIVE_SEEN=true
export LANG=C
export LANGUAGE=C
export LC_ALL=C
export LC_PAPER=C
export LC_MONETARY=C


-- no debconf information

-- debsums errors found:
debsums: changed file /usr/lib/buildcross/functions (from buildcross package)
[0006-add-gcc-4.7-base-to-the-dependencies-to-strip-from-the.txt (text/x-diff, attachment)]
[0007-cross-libs-depends-on-gcc-4.7-now.txt (text/x-diff, attachment)]

Marked as fixed in versions 0.0.13. Request was from Hector Oron <zumbi@debian.org> to control@bugs.debian.org. (Wed, 19 Sep 2012 23:03:02 GMT) Full text and rfc822 format available.

Reply sent to Hector Oron <zumbi@debian.org>:
You have taken responsibility. (Wed, 19 Sep 2012 23:15:04 GMT) Full text and rfc822 format available.

Notification sent to sacrificial-spam-address@horizon.com:
Bug acknowledged by developer. (Wed, 19 Sep 2012 23:15:04 GMT) Full text and rfc822 format available.

Message #22 received at 682689-done@bugs.debian.org (full text, mbox):

From: Hector Oron <zumbi@debian.org>
To: Alban Browaeys <prahal@yahoo.com>, 682689-done@bugs.debian.org
Subject: Re: Bug#682689: buildcross fails to build gcc-4.7
Date: Thu, 20 Sep 2012 01:02:17 +0200
[Message part 1 (text/plain, inline)]
On Mon, Sep 17, 2012 at 03:34:31AM +0200, Alban Browaeys wrote:
> Package: buildcross
> Followup-For: Bug #682689
> 
> Sorry previous patchset was not tested with default config (ie building
> cross libs before gcc-4.7).
> Please replace
> 0006-add-gcc-4.7-base-to-the-dependencies-to-strip-from-the.txt
> with the one attached and add
> 0007-cross-libs-depends-on-gcc-4.7-now.txt
> to the serie.

Fixes commited to git and uploaded as 0.0.13.

Regards,
-- 
  Hector Oron
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded <debian-embedded@lists.debian.org>:
Bug#682689; Package buildcross. (Thu, 20 Sep 2012 00:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to sacrificial-spam-address@horizon.com:
Extra info received and forwarded to list. Copy sent to Debian Embedded <debian-embedded@lists.debian.org>. (Thu, 20 Sep 2012 00:09:03 GMT) Full text and rfc822 format available.

Message #27 received at 682689@bugs.debian.org (full text, mbox):

From: sacrificial-spam-address@horizon.com
To: 682689@bugs.debian.org
Cc: sacrificial-spam-address@horizon.com
Subject: Re: Bug#682689 closed by Hector Oron <zumbi@debian.org> (Re: Bug#682689: buildcross fails to build gcc-4.7)
Date: 19 Sep 2012 19:58:09 -0400
Thank you!  I'm looking forward to trying it once it filters through the FTP servers.



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 18 Oct 2012 07:27:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 10:47:16 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.